> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atonom.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Ticket



## OpenAPI

````yaml /api-reference/connectors/openapi.yaml post /v1/tickets/create-ticket
openapi: 3.0.3
info:
  title: Integration Connector API
  version: 0.0.1
servers: []
security: []
tags:
  - name: CalendarService
  - name: CrmService
  - name: InventoryService
  - name: RoutingService
  - name: TicketsService
paths:
  /v1/tickets/create-ticket:
    post:
      tags:
        - TicketsService
      summary: Create Ticket
      operationId: createSupportTicket
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTicketRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTicketResponse'
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Status'
components:
  schemas:
    CreateTicketRequest:
      type: object
      properties:
        subject:
          type: string
          description: Short title or subject line for the ticket.
        description:
          type: string
          description: Initial description or body text.
        priority:
          type: string
          description: Priority label or level when set.
        status:
          type: string
          description: Initial status when set.
        owner_id:
          type: string
          description: Assignee user id when set.
        account_id:
          type: string
          description: Related account id when set.
        contact_id:
          type: string
          description: Related contact id when set.
    CreateTicketResponse:
      type: object
      properties:
        ticket:
          allOf:
            - $ref: '#/components/schemas/Ticket'
          description: Created ticket as stored in the CRM.
    Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/GoogleProtobufAny'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    Ticket:
      type: object
      properties:
        id:
          type: string
          description: Unique ticket id in the CRM.
        ticket_number:
          type: string
          description: Human-readable ticket number for lookup.
        subject:
          type: string
          description: Current subject or title.
        description:
          type: string
          description: Full description or thread summary.
        status:
          type: string
          description: Workflow status label.
        priority:
          type: string
          description: Priority label or level.
        owner_id:
          type: string
          description: Current assignee user id.
        account_id:
          type: string
          description: Related account id.
        contact_id:
          type: string
          description: Related contact id.
        created_at:
          type: string
          description: When the ticket was opened.
          format: date-time
        closed_at:
          type: string
          description: When the ticket was closed, if applicable.
          format: date-time
        resolved_at:
          type: string
          description: When the ticket was marked resolved, if applicable.
          format: date-time
        updated_at:
          type: string
          description: Last update time on the ticket record.
          format: date-time
        last_comment:
          type: string
          description: Most recent public comment or note snippet.
    GoogleProtobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.

````